Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2021-31439

Published: 21 May 2021

This vulnerability allows network-adjacent attackers to execute arbitrary code on affected installations of Synology DiskStation Manager. Authentication is not required to exploit this vulnerablity. The specific flaw exists within the processing of DSI structures in Netatalk. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a heap-based buffer. An attacker can leverage this vulnerability to execute code in the context of the current process. Was ZDI-CAN-12326.

Priority

Medium

Cvss 3 Severity Score

8.8

Score breakdown

Status

Package Release Status
netatalk
Launchpad, Ubuntu, Debian
jammy
Released (3.1.12~ds-9ubuntu0.22.04.1)
lunar Not vulnerable
(3.1.13~ds-2)
bionic Not vulnerable

focal
Released (3.1.12~ds-4ubuntu0.20.04.1)
impish Ignored
(end of life)
trusty Not vulnerable

upstream
Released (3.1.13~ds-1)
xenial Not vulnerable
(code not present)
kinetic Not vulnerable
(3.1.13~ds-2)
Patches:
upstream: https://github.com/Netatalk/Netatalk/commit/779717df2ed39b701deaf2472b42d59ff50fab7f

Severity score breakdown

Parameter Value
Base score 8.8
Attack vector Adjacent
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H